org.eclipse.viatra.transformation.debug.model.breakpoint

## Class ConditionalTransformationBreakpointHandler

- java.lang.Object
- - org.eclipse.viatra.transformation.debug.model.breakpoint.ConditionalTransformationBreakpointHandler

- All Implemented Interfaces:
    java.io.Serializable, IMatchUpdateListener, ITransformationBreakpointHandler

      public class ConditionalTransformationBreakpointHandler
      extends java.lang.Object
      implements ITransformationBreakpointHandler, IMatchUpdateListener

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConditionalTransformationBreakpointHandler(java.lang.String patternString)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object item)`
    `java.lang.String` | `getPatternString()`
    `int` | `hashCode()`
    `boolean` | `isEnabled()`
    `void` | `notifyAppearance(IPatternMatch match)` Will be invoked on each new match that appears.
    `void` | `notifyDisappearance(IPatternMatch match)` Will be invoked on each existing match that disappears.
    `void` | `setEnabled(boolean enabled)`
    `void` | `setEngine(ViatraQueryEngine engine)`
    `void` | `setPatternString(java.lang.String patternString)`
    `void` | `setStringRep(java.lang.String stringRep)`
    `boolean` | `shouldBreak(Activation<?> a)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConditionalTransformationBreakpointHandler

          public ConditionalTransformationBreakpointHandler(java.lang.String patternString)

  - ### Method Detail

    - #### shouldBreak

          public boolean shouldBreak(Activation<?> a)

      Specified by:
        `shouldBreak` in interface `ITransformationBreakpointHandler`

    - #### equals

          public boolean equals(java.lang.Object item)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### notifyAppearance

          public void notifyAppearance(IPatternMatch match)

      Description copied from interface: `IMatchUpdateListener`
      Will be invoked on each new match that appears.
      Specified by:
        `notifyAppearance` in interface `IMatchUpdateListener`
      Parameters:
        `match` - the match that has just appeared.

    - #### notifyDisappearance

          public void notifyDisappearance(IPatternMatch match)

      Description copied from interface: `IMatchUpdateListener`
      Will be invoked on each existing match that disappears.
      Specified by:
        `notifyDisappearance` in interface `IMatchUpdateListener`
      Parameters:
        `match` - the match that has just disappeared.

    - #### setEngine

          public void setEngine(ViatraQueryEngine engine)
                         throws ViatraDebuggerException

      Throws:
        `ViatraDebuggerException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Specified by:
        `setEnabled` in interface `ITransformationBreakpointHandler`

    - #### isEnabled

          public boolean isEnabled()

      Specified by:
        `isEnabled` in interface `ITransformationBreakpointHandler`

    - #### setStringRep

          public void setStringRep(java.lang.String stringRep)

    - #### getPatternString

          public java.lang.String getPatternString()

    - #### setPatternString

          public void setPatternString(java.lang.String patternString)